parameters:
    ezpublish_legacy.signalslot.assign_section.class: eZ\Publish\Core\SignalSlot\Slot\LegacyAssignSectionSlot
    ezpublish_legacy.signalslot.copy_content.class: eZ\Publish\Core\SignalSlot\Slot\LegacyCopyContentSlot
    ezpublish_legacy.signalslot.create_location.class: eZ\Publish\Core\SignalSlot\Slot\LegacyCreateLocationSlot
    ezpublish_legacy.signalslot.delete_content.class: eZ\Publish\Core\SignalSlot\Slot\LegacyDeleteContentSlot
    ezpublish_legacy.signalslot.delete_location.class: eZ\Publish\Core\SignalSlot\Slot\LegacyDeleteLocationSlot
    ezpublish_legacy.signalslot.delete_version.class: eZ\Publish\Core\SignalSlot\Slot\LegacyDeleteVersionSlot
    ezpublish_legacy.signalslot.hide_location.class: eZ\Publish\Core\SignalSlot\Slot\LegacyHideLocationSlot
    ezpublish_legacy.signalslot.move_subtree.class: eZ\Publish\Core\SignalSlot\Slot\LegacyMoveSubtreeSlot
    ezpublish_legacy.signalslot.publish_version.class: eZ\Publish\Core\SignalSlot\Slot\LegacyPublishVersionSlot
    ezpublish_legacy.signalslot.set_content_state.class: eZ\Publish\Core\SignalSlot\Slot\LegacySetContentStateSlot
    ezpublish_legacy.signalslot.create_object_state.class: eZ\Publish\Core\SignalSlot\Slot\LegacyCreateObjectStateSlot
    ezpublish_legacy.signalslot.create_object_state_group.class: eZ\Publish\Core\SignalSlot\Slot\LegacyCreateObjectStateGroupSlot
    ezpublish_legacy.signalslot.delete_object_state.class: eZ\Publish\Core\SignalSlot\Slot\LegacyDeleteObjectStateSlot
    ezpublish_legacy.signalslot.delete_object_state_group.class: eZ\Publish\Core\SignalSlot\Slot\LegacyDeleteObjectStateGroupSlot
    ezpublish_legacy.signalslot.set_priority_of_object_state.class: eZ\Publish\Core\SignalSlot\Slot\LegacySetPriorityOfObjectStateSlot
    ezpublish_legacy.signalslot.update_object_state.class: eZ\Publish\Core\SignalSlot\Slot\LegacyUpdateObjectStateSlot
    ezpublish_legacy.signalslot.update_object_state_group.class: eZ\Publish\Core\SignalSlot\Slot\LegacyUpdateObjectStateGroupSlot
    ezpublish_legacy.signalslot.swap_location.class: eZ\Publish\Core\SignalSlot\Slot\LegacySwapLocationSlot
    ezpublish_legacy.signalslot.unhide_location.class: eZ\Publish\Core\SignalSlot\Slot\LegacyUnhideLocationSlot
    ezpublish_legacy.signalslot.update_location.class: eZ\Publish\Core\SignalSlot\Slot\LegacyUpdateLocationSlot
    ezpublish_legacy.signalslot.publish_content_type_draft.class: eZ\Publish\Core\SignalSlot\Slot\LegacyPublishContentTypeDraftSlot
    ezpublish_legacy.signalslot.create_language.class: eZ\Publish\Core\SignalSlot\Slot\LegacyCreateLanguageSlot
    ezpublish_legacy.signalslot.delete_language.class: eZ\Publish\Core\SignalSlot\Slot\LegacyDeleteLanguageSlot
    ezpublish_legacy.signalslot.disable_language.class: eZ\Publish\Core\SignalSlot\Slot\LegacyDisableLanguageSlot
    ezpublish_legacy.signalslot.enable_language.class: eZ\Publish\Core\SignalSlot\Slot\LegacyEnableLanguageSlot
    ezpublish_legacy.signalslot.update_language_name.class: eZ\Publish\Core\SignalSlot\Slot\LegacyUpdateLanguageNameSlot
    ezpublish_legacy.signalslot.update_user.class: eZ\Publish\Core\SignalSlot\Slot\LegacyUpdateUserSlot
    ezpublish_legacy.signalslot.assign_user_to_user_group.class: eZ\Publish\Core\SignalSlot\Slot\LegacyAssignUserToUserGroupSlot
    ezpublish_legacy.signalslot.unassign_user_from_user_group.class: eZ\Publish\Core\SignalSlot\Slot\LegacyUnassignUserFromUserGroupSlot

services:
    ezpublish_legacy.signalslot.assign_section:
        class: %ezpublish_legacy.signalslot.assign_section.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: SectionService\AssignSectionSignal }

    ezpublish_legacy.signalslot.copy_content:
        class: %ezpublish_legacy.signalslot.copy_content.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ContentService\CopyContentSignal }

    ezpublish_legacy.signalslot.create_location:
        class: %ezpublish_legacy.signalslot.create_location.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: LocationService\CreateLocationSignal }

    ezpublish_legacy.signalslot.delete_content:
        class: %ezpublish_legacy.signalslot.delete_content.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ContentService\DeleteContentSignal }

    ezpublish_legacy.signalslot.delete_location:
        class: %ezpublish_legacy.signalslot.delete_location.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: LocationService\DeleteLocationSignal }

    ezpublish_legacy.signalslot.delete_version:
        class: %ezpublish_legacy.signalslot.delete_version.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ContentService\DeleteVersionSignal }

    ezpublish_legacy.signalslot.hide_location:
        class: %ezpublish_legacy.signalslot.hide_location.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: LocationService\HideLocationSignal }

    ezpublish_legacy.signalslot.move_subtree:
        class: %ezpublish_legacy.signalslot.move_subtree.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: LocationService\MoveSubtreeSignal }

    ezpublish_legacy.signalslot.publish_version:
        class: %ezpublish_legacy.signalslot.publish_version.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ContentService\PublishVersionSignal }

    ezpublish_legacy.signalslot.set_content_state:
        class: %ezpublish_legacy.signalslot.set_content_state.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ObjectStateService\SetContentStateSignal }

    ezpublish_legacy.signalslot.create_object_state:
        class: %ezpublish_legacy.signalslot.create_object_state.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ObjectStateService\CreateObjectStateSignal }

    ezpublish_legacy.signalslot.create_object_state_group:
        class: %ezpublish_legacy.signalslot.create_object_state_group.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ObjectStateService\CreateObjectStateGroupSignal }

    ezpublish_legacy.signalslot.delete_object_state:
        class: %ezpublish_legacy.signalslot.delete_object_state.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ObjectStateService\DeleteObjectStateSignal }

    ezpublish_legacy.signalslot.delete_object_state_group:
        class: %ezpublish_legacy.signalslot.delete_object_state_group.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ObjectStateService\DeleteObjectStateGroupSignal }

    ezpublish_legacy.signalslot.set_priority_of_object_state:
        class: %ezpublish_legacy.signalslot.set_priority_of_object_state.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ObjectStateService\SetPriorityOfObjectStateSignal }

    ezpublish_legacy.signalslot.update_object_state:
        class: %ezpublish_legacy.signalslot.update_object_state.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ObjectStateService\UpdateObjectStateSignal }

    ezpublish_legacy.signalslot.update_object_state_group:
        class: %ezpublish_legacy.signalslot.update_object_state_group.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ObjectStateService\UpdateObjectStateGroupSignal }

    ezpublish_legacy.signalslot.swap_location:
        class: %ezpublish_legacy.signalslot.swap_location.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: LocationService\SwapLocationSignal }

    ezpublish_legacy.signalslot.unhide_location:
        class: %ezpublish_legacy.signalslot.unhide_location.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: LocationService\UnhideLocationSignal }

    ezpublish_legacy.signalslot.update_location:
        class: %ezpublish_legacy.signalslot.update_location.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: LocationService\UpdateLocationSignal }

    ezpublish_legacy.signalslot.publish_content_type_draft:
        class: %ezpublish_legacy.signalslot.publish_content_type_draft.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: ContentTypeService\PublishContentTypeDraftSignal }

    ezpublish_legacy.signalslot.create_language:
        class: %ezpublish_legacy.signalslot.create_language.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: LanguageService\CreateLanguageSignal }

    ezpublish_legacy.signalslot.delete_language:
        class: %ezpublish_legacy.signalslot.delete_language.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: LanguageService\DeleteLanguageSignal }

    ezpublish_legacy.signalslot.disable_language:
        class: %ezpublish_legacy.signalslot.disable_language.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: LanguageService\DisableLanguageSignal }

    ezpublish_legacy.signalslot.enable_language:
        class: %ezpublish_legacy.signalslot.enable_language.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: LanguageService\EnableLanguageSignal }

    ezpublish_legacy.signalslot.update_language_name:
        class: %ezpublish_legacy.signalslot.update_language_name.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: LanguageService\UpdateLanguageNameSignal }

    ezpublish_legacy.signalslot.update_user:
        class: %ezpublish_legacy.signalslot.update_user.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: UserService\UpdateUserSignal }

    ezpublish_legacy.signalslot.assign_user_to_user_group:
        class: %ezpublish_legacy.signalslot.assign_user_to_user_group.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: UserService\AssignUserToUserGroupSignal }

    ezpublish_legacy.signalslot.unassign_user_from_user_group:
        class: %ezpublish_legacy.signalslot.unassign_user_from_user_group.class%
        arguments: [@ezpublish_legacy.kernel]
        tags:
            - { name: ezpublish.api.slot, signal: UserService\UnAssignUserFromUserGroupSignal }
